<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.pongodev.recipesapp"
    android:versionCode="3"
    android:versionName="3.0.1" >

    <uses-sdk
        android:minSdkVersion="11"
        android:targetSdkVersion="21" />

    <!-- Include required permissions for Google Mobile Ads to run -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >

        <!-- This meta-data tag is required to use Google Play Services. -->
        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />

        <activity
            android:name="com.pongodev.recipesapp.activities.ActivitySplash"
            android:label="@string/app_name"
            android:noHistory="true"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.pongodev.recipesapp.activities.ActivityHome"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:screenOrientation="portrait" >
            <meta-data
                android:name="android.app.default_searchable"
                android:value="com.pongodev.recipesapp.activities.ActivitySearch" />
        </activity>
        <activity
            android:name="com.pongodev.recipesapp.activities.ActivitySearch"
            android:label="@string/search_result"
            android:launchMode="singleTop"
            android:parentActivityName="com.pongodev.recipesapp.activities.ActivityHome"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.SEARCH" />
            </intent-filter>

            <!-- Parent activity meta-data to support 4.0 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".activities.ActivityHome" />
            <meta-data
                android:name="android.app.searchable"
                android:resource="@xml/searchable" />
        </activity>

        <provider
            android:name="com.pongodev.recipesapp.providers.ProviderSuggestion"
            android:authorities="com.pongodev.recipesapp.providers.ProviderSuggestion" />

        <activity
            android:name="com.pongodev.recipesapp.activities.ActivityDetail"
            android:label=""
            android:parentActivityName="com.pongodev.recipesapp.activities.ActivityHome"
            android:screenOrientation="portrait" >

            <!-- Parent activity meta-data to support 4.0 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".activities.ActivityHome" />
        </activity>
        <activity
            android:name="com.pongodev.recipesapp.activities.ActivityFavorites"
            android:label="@string/favorites"
            android:parentActivityName="com.pongodev.recipesapp.activities.ActivityHome"
            android:screenOrientation="portrait" >

            <!-- Parent activity meta-data to support 4.0 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".activities.ActivityHome" />
        </activity>
        <activity
            android:name="com.pongodev.recipesapp.activities.ActivityAbout"
            android:label="@string/about"
            android:parentActivityName="com.pongodev.recipesapp.activities.ActivityHome"
            android:screenOrientation="portrait" >

            <!-- Parent activity meta-data to support 4.0 and lower -->
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value=".activities.ActivityHome" />
        </activity>
        <!-- Include the AdActivity configChanges and theme. -->
        <activity
            android:name="com.google.android.gms.ads.AdActivity"
            android:configChanges="keyboard|keyboardHidden|orientation|screenLayout|uiMode|screenSize|smallestScreenSize"
            android:theme="@android:style/Theme.Translucent" />
        <activity
            android:name="android.support.v7.widget.TestActivity"
            android:label="RecyclerViewTestActivity" />
    </application>

</manifest>